Package org.eclipse.birt.report.engine.api.script.instance

# Interface IAbstractTextInstance

All Superinterfaces:
  `IReportElementInstance`, `IReportItemInstance`

All Known Subinterfaces:
  `IDynamicTextInstance`, `ITextItemInstance`

public interface IAbstractTextInstance extends IReportItemInstance

## Method Summary

Modifier and Type
Method
Description
`String`
`getText()`
Get the value
`void`
`setText(String value)`
Set the value

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportElementInstance

`getHeight, getHorizontalPosition, getNamedExpressionValue, getParent, getRowData, getStyle, getUserPropertyValue, getVerticalPosition, getWidth, setHeight, setHorizontalPosition, setUserPropertyValue, setVerticalPosition, setWidth`

### Methods inherited from interface org.eclipse.birt.report.engine.api.script.instance.IReportItemInstance

`getHelpText, getHyperlink, getName, setHelpText, setName`

## Method Details

### getText

String getText()
Get the value

### setText

void setText(String value)
Set the value